Subject: Re: bug#61703: 29.0.60; Emacs crashes on C-x 8 RET

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 16:44:04 -0700

tags 61703 + unreproducible
thanks

Gregory Heytings <[email-masked]> writes:

>>> Indeed the choice of the default font seems relevant. The observed results:
>>>
>>> | Menlo (default monospace font) | crash    |
>>> | Courier New                    | crash    |
>>> | Courier Prime                  | no crash |
>>> | JetBrains Mono                 | no crash |
>>> | Cascadia Mono                  | crash    |
>>> | Fira Code                      | no crash |
>>> | Fira Mono                      | crash    |
>>
>> I'm on MS-Windows, where Courier New is the default font, and it still doesn't
>> crash...
>>
>
> FWIW, I tried that recipe here (Debian GNU/Linux) with Fira Mono, Menlo and
> Cascadia Mono, without experiencing any crash.  Perhaps it's a macOS specific
> bug.

I can't reproduce this here.  I do get the following error when running
the reproducer though:

eval: Symbol’s value as variable is void: FONT

In GNU Emacs 30.0.50 (build 5, x86_64-apple-darwin21.6.0, NS
 appkit-2113.60 Version 12.6.8 (Build 21G725)) of 2023-09-04 built on
 MY-MacBook-Pro